ScXMLElseIfElt(3)

NAME
ScXMLElseIfElt - implements the <elseif> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLElseIfElt.h>

Inherits ScXMLExecutableElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setCondAttribute (const char *cond)
virtual const char * getCondAttribute (void) const
virtual SbBool handleXMLAttributes (void)
virtual void copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * search (const char *attrname, const char *attrvalue) const

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Protected Attributes
char * cond

  Additional Inherited Members

Detailed Description

implements the <elseif> SCXML element. The <elseif> element can have the attribute 'cond' and no children. The <elseif> element is a separator element for the enclosing <if> element. It can only be used inside <if> elements.

Since
    Coin 3.1

Member Function Documentation

  SoType ScXMLElseIfElt::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLExecutableElt.

  SbBool ScXMLElseIfElt::handleXMLAttributes (void) [virtual]
This method is called when the file reader has set all the XML attributes on the object, and wants the object to handle them and report if the values were OK or if a read error should be produced.

Returns
    TRUE if the attributes are OK, and FALSE on error.

This base class implementation does nothing and just returns TRUE.

Reimplemented from ScXMLElt.

  void ScXMLElseIfElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLExecutableElt.

  const ScXMLElt * ScXMLElseIfElt::search (const char * attrname, const char * attrvalue) const [virtual]
This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLElt.

Author

Generated automatically by Doxygen for Coin from the source code.